<?php

declare(strict_types=1);

namespace Drupal\one_time_password_requirements_test\Authentication\Provider;

use Drupal\Core\Authentication\AuthenticationProviderInterface;
use Drupal\Core\Session\AccountInterface;
use Symfony\Component\HttpFoundation\Request;

/**
 * Test authentication provider.
 */
class TestAuthenticator implements AuthenticationProviderInterface {

  /**
   * {@inheritdoc}
   */
  public function authenticate(Request $request): ?AccountInterface {
    // Nil op. No real authentication is performed.
    return NULL;
  }

  /**
   * {@inheritdoc}
   */
  public function applies(Request $request): bool {
    // Nil op. No real authentication is performed.
    return TRUE;
  }

}
